<?php
include_once __DIR__ . '/../models/User.php';

class AuthController {
    private $user;

    public function __construct($pdo) {
        $this->user = new User($pdo);
    }

    public function register($username, $email, $password) {
        if ($this->user->createUser($username, $email, $password)) {
            header('Location: /?action=login&status=registered');
            exit();
        } else {
            header('Location: /?action=register&status=registration_failed');
            exit();
        }
    }
    
    public function login($email, $password) {
        if (session_status() === PHP_SESSION_NONE) {
            session_start();
        }
    
        $user = $this->user->getUserByEmail($email);  
        if ($user && password_verify($password, $user['password'])) {
            $_SESSION['email'] = $email;
            $_SESSION['username'] = $user['username'];
            header('Location: /?action=dashboard');
            exit();
        } else {
            header('Location: /?action=login&status=login_failed');
            exit();
        }
    }
    
    public function getAllUsers() {
        return $this->user->getAllUsers();
    }    
    
}
?>
