<?php
include_once __DIR__ . '/../models/User.php';
include_once __DIR__ . '/../utils/TokenGenerator.php';

class PasswordController {
    private $user;

    public function __construct($pdo) {
        $this->user = new User($pdo);
    }
    public function requestPasswordReset($email) {
        $user = $this->user->getUserByEmail($email); 
        if (!$user) {
            header('Location: /?action=reset_request&status=email_not_found');
            exit();
        }
    
        $token = TokenGenerator::generateToken($user);
    
        if ($this->user->setResetTokenByEmail($email, $token)) {
            // TODO : Dev feature to send email with reset link
            header('Location: /?action=reset_request&status=email_sent');
            exit();
        } else {
            header('Location: /?action=reset_request&status=failed');
            exit();
        }
    }
    

    public function resetPassword($token, $newPassword) {
        if (!$this->user->isValidToken($token)) {
            $_SESSION['message'] = "Invalid or expired token.";
            header('Location: /?action=reset_request');
            exit();
        }
    
        if ($this->user->resetPassword($token, $newPassword)) {
            $_SESSION['message'] = "Password reset successfully.";
            header('Location: /?action=login&status=password_reset');
            exit();
        } else {
            $_SESSION['message'] = "An issue occurred while resetting the password.";
            header('Location: /?action=reset_request');
            exit();
        }
    }    

    public function isTokenValid($token) {
        return $this->user->isValidToken($token);
    }
    

}
?>
