<?php
ob_start();
session_start();

include_once __DIR__ . '/config/config.php';
include_once __DIR__ . '/controllers/AuthController.php';
include_once __DIR__ . '/controllers/PasswordController.php';

$authController = new AuthController($pdo);
$passwordController = new PasswordController($pdo);

$action = $_GET['action'] ?? null;

switch ($action) {
    case 'register':
        if ($_SERVER['REQUEST_METHOD'] === 'POST') {
            $username = $_POST['username'] ?? null;
            $email = $_POST['email'] ?? null;
            $password = $_POST['password'] ?? null;
    
            if ($username && $email && $password) {
                $authController->register($username, $email, $password);
            } else {
                header('Location: /?action=register&status=missing_fields');
                exit();
            }
        } else {
            include __DIR__ . '/views/auth/register.php';
        }
        break;
    
    case 'login':
        if ($_SERVER['REQUEST_METHOD'] === 'POST') {
            $email = $_POST['email'] ?? null;
            $password = $_POST['password'] ?? null;
    
            if ($email && $password) {
                $authController->login($email, $password);
            } else {
                header('Location: /?action=login&status=missing_fields');
                exit();
            }
        } else {
            include __DIR__ . '/views/auth/login.php';
        }
        break;    

    case 'logout':
        session_unset();
        session_destroy();
        header('Location: /?action=login&status=logged_out');
        exit();

    case 'dashboard':
        if (isset($_SESSION['email'])) {
            include __DIR__ . '/views/dashboard.php';
        } else {
            header('Location: /?action=login');
            exit();
        }
        break;
        

    case 'reset_request':
        if ($_SERVER['REQUEST_METHOD'] === 'POST') {
            $email = $_POST['email'] ?? null;
            $passwordController->requestPasswordReset($email);
        } else {
            include __DIR__ . '/views/auth/reset_request.php';
        }
        break;
    
    
    case 'reset_password':
        $token = $_GET['token'] ?? null;
    
        if ($_SERVER['REQUEST_METHOD'] === 'POST') {
            $token = $_POST['token'] ?? null;
            $newPassword = $_POST['new_password'] ?? null;
            
            if ($token && $newPassword) {
                $passwordController->resetPassword($token, $newPassword);
            } else {
                header('Location: /?action=reset_password&status=missing_fields');
                exit();
            }
        } else {
            if ($token && $passwordController->isTokenValid($token)) {
                include __DIR__ . '/views/auth/reset_password.php';
            } else {
                // header('Location: /?action=reset_request&status=token_expired');
                echo "<p>Invalid or expired token. Please request a reset.</p>";
            }
        }
        break;
        
    case 'infos':
        if ($_SESSION['username'] !== 'admin') {
            header('Location: /?action=login');
        }
        $users = $authController->getAllUsers();

        include __DIR__ . '/views/infos.php';
        break;
        
    default:
        include __DIR__ . '/views/auth/login.php';
}
?>
