<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Login - Please Help Programmers</title>
    <link rel="shortcut icon" href="/assets/img/favicon.png" type="image/png">
    <link rel="stylesheet" href="/assets/css/bootstrap.min.css">
    <link rel="stylesheet" href="/assets/css/all.min.css">
    <link rel="stylesheet" href="/assets/css/styles.css">
</head>
<body>
    <img src="/assets/img/elephpant.svg" alt="Please Help Programmers" class="logo">

    <div class="form-container">
        <h1>Login</h1>

        <?php if (isset($_GET['status'])): ?>
            <div class="alert 
                <?php if ($_GET['status'] === 'registered'): ?>
                    alert-success
                <?php elseif ($_GET['status'] === 'logged_out'): ?>
                    alert-info
                <?php elseif ($_GET['status'] === 'password_reset'): ?>
                    alert-success
                <?php elseif ($_GET['status'] === 'login_failed'): ?>
                    alert-danger
                <?php elseif ($_GET['status'] === 'missing_fields'): ?> 
                    alert-danger
                <?php else: ?>
                    alert-danger
                <?php endif; ?>
            " role="alert">
                <?php if ($_GET['status'] === 'registered'): ?>
                    Registration successful! You can now login.
                <?php elseif ($_GET['status'] === 'logged_out'): ?>
                    You have been logged out successfully.
                <?php elseif ($_GET['status'] === 'password_reset'): ?>
                    Password reset successful! You can now login with your new password.
                <?php elseif ($_GET['status'] === 'login_failed'): ?>
                    Incorrect email or password.
                <?php elseif ($_GET['status'] === 'missing_fields'): ?>
                    Please fill all fields.
                <?php else: ?>
                    An issue occurred. Please try again.
                <?php endif; ?>
            </div>
        <?php endif; ?>

        <form action="/?action=login" method="post">
            <div class="form-group">
                <label for="email">Email :</label>
                <input type="email" id="email" name="email" class="form-control" required>
            </div>
            <div class="form-group">
                <label for="password">Password :</label>
                <input type="password" id="password" name="password" class="form-control" required>
            </div>
            <button type="submit" class="btn btn-primary">Login</button>
        </form>
        <div class="footer-link">
            <p>No account yet ? <a href="/?action=register">Register</a></p>
            <p>Forgot password ? <a href="/?action=reset_request">Reset password</a></p>
        </div>
    </div>
    <script src="/assets/js/jquery.min.js"></script>
    <script src="/assets/js/bootstrap.min.js"></script>
    <script src="/assets/js/script.js"></script> 
</body>
</html>
