<?php
if (!isset($_SESSION)) {
    session_start();
}
$token = $_GET['token'] ?? null;
?>

<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Reset Password - Please Help Programmers</title>
    <link rel="shortcut icon" href="/assets/img/favicon.png" type="image/png">
    <link rel="stylesheet" href="/assets/css/bootstrap.min.css">
    <link rel="stylesheet" href="/assets/css/all.min.css">
    <link rel="stylesheet" href="/assets/css/styles.css">
</head>
<body>
    <img src="/assets/img/elephpant.svg" alt="Please Help Programmers" class="logo">

    <div class="form-container">
        <h1>Reset Password</h1>

        <?php if (isset($_GET['status'])): ?>
            <div class="alert 
                <?php if ($_GET['status'] === 'invalid_token'): ?>
                    alert-danger
                <?php elseif ($_GET['status'] === 'password_reset_success'): ?>
                    alert-success
                <?php elseif ($_GET['status'] === 'missing_fields'): ?>
                    alert-danger
                <?php else: ?>
                    alert-info
                <?php endif; ?>
            " role="alert">
                <?php if ($_GET['status'] === 'invalid_token'): ?>
                    The reset token has expired or is invalid. Please make a new request.
                <?php elseif ($_GET['status'] === 'password_reset_success'): ?>
                    Your password has been reset successfully. You can now login.
                <?php elseif ($_GET['status'] === 'missing_fields'): ?>
                    Please fill in all fields.
                <?php else: ?>
                    An issue occurred. Please try again.
                <?php endif; ?>
            </div>
        <?php endif; ?>

        <form action="/?action=reset_password" method="post">
            <input type="hidden" name="token" value="<?= htmlspecialchars($_GET['token']); ?>">
            <div class="form-group">
                <label for="new_password">New password :</label>
                <input type="password" id="new_password" name="new_password" class="form-control" required>
            </div>
            <button type="submit" class="btn btn-primary">Reset Password</button>
        </form>
        <div class="footer-link">
            <p>Return to <a href="/?action=login">login page</a></p>
        </div>
    </div>
    <script src="/assets/js/jquery.min.js"></script>
    <script src="/assets/js/bootstrap.min.js"></script>
</body>
</html>
