<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Reset Password - Please Help Programmers</title>
    <link rel="shortcut icon" href="/assets/img/favicon.png" type="image/png">
    <link rel="stylesheet" href="/assets/css/bootstrap.min.css">
    <link rel="stylesheet" href="/assets/css/all.min.css">
    <link rel="stylesheet" href="/assets/css/styles.css">
</head>
<body>
    <img src="/assets/img/elephpant.svg" alt="Please Help Programmers" class="logo">

    <div class="form-container">
        <h1>Reset Password</h1>

        <?php if (isset($_GET['status'])): ?>
            <div class="alert 
                <?php if ($_GET['status'] === 'email_sent'): ?>
                    alert-success
                <?php elseif ($_GET['status'] === 'email_not_found'): ?>
                    alert-danger
                <?php else: ?>
                    alert-info
                <?php endif; ?>
            " role="alert">
                <?php if ($_GET['status'] === 'email_sent'): ?>
                    A reset link has been sent to your email address.
                <?php elseif ($_GET['status'] === 'email_not_found'): ?>
                    This email is not registered. Please check and try again.
                <?php else: ?>
                    An issue occurred. Please try again.
                <?php endif; ?>
            </div>
        <?php endif; ?>

        <form action="/?action=reset_request" method="post">
            <div class="form-group">
                <label for="email">Email :</label>
                <input type="email" id="email" name="email" class="form-control" required>
            </div>
            <button type="submit" class="btn btn-warning">Send Request</button>
        </form>
        <div class="footer-link">
            <p>Return to <a href="/?action=login">login page</a></p>
        </div>
    </div>
    <script src="/assets/js/jquery.min.js"></script>
    <script src="/assets/js/bootstrap.min.js"></script>
</body>
</html>
